Subject: Re: bug#1085: 23.0.60; all-completions, try-completion inconsistent: Info-read-node-name-1

From: Stefan Monnier <[email-masked]>
Date: Tue, 07 Oct 2008 22:31:18 -0400

> Right. I did misunderstand that. You use the boundaries thing to pass
> along the context "(" for Info file name "(em", but you don't use it
> to pass the directory for file-name completion - and I do see (and
> did, but forgot) how you pass the directory in the latter case. My bad
> about that part.

> I was following my analogy and thought that you did the same thing for
> both, using the directory part as a boundary/contextual "prefix" of
> the relative file name.

> But IIUC, there is no invalidation of the invariants for file-name
> completion.

Your 3rd invariant is invalidated because all-completions does not
return the directory part of a completion.

> If you agree about that, then let's come back to "(em", which is a case, we
> agree, where the invariants are currently invalidated. IIUC, you say it is a
> case where the invariants *must* be invalidated. My question is why. Why
> couldn't we treat this completion the same way we treat file-name completion?

We do treat it identically.

        Stefan